Language

Package: iso-codes @ 4.5.0

Synopsis

Various ISO standards

Description

This package provides lists of various ISO standards (e.g. country, language, language scripts, and currency names) in one place, rather than repeated in many programs throughout the system.

Currently there are lists of languages and countries embedded in several different programs, which leads to dozens of lists of 200 languages, translated into more than 30 languages... not very efficient.

With this package, we create a single "gettext domain" for every supported ISO standard which contains the translations of that domain. It is easy for a programmer to re-use those translations instead of maintaining their own translation infrastructure. Moreover, the programmer does not need to follow changes in the ISO standard and will not work with outdated information.

Home page
https://salsa.debian.org/iso-codes-team/iso-codes
Location
gnu/packages/iso-codes.scm (line: 35, column: 2)
License

Derivations

SystemTargetDerivationBuild status
x86_64-linux/gnu/store/84z8w93rvn4gmgms0p1c5k1cq73spwfv-iso-codes-4.5.0.drv
x86_64-linuxx86_64-w64-mingw32/gnu/store/2m6sykpx9i7mhzxvh3jzf0ipgr5mbjl8-iso-codes-4.5.0.drv
x86_64-linuxriscv64-linux-gnu/gnu/store/3kn1zg6q1z7k12iljys74xpc2bfj02jh-iso-codes-4.5.0.drv
x86_64-linuxpowerpc-linux-gnu/gnu/store/w2i304qy5s0spj0xk3q98hw5yzmm4dis-iso-codes-4.5.0.drv
x86_64-linuxpowerpc64le-linux-gnu/gnu/store/5ani2mslfvw69vg5rzqk3wqxhmx7bzns-iso-codes-4.5.0.drv
x86_64-linuxmips64el-linux-gnu/gnu/store/rdmbqpr3mv524fzdm6mb4258y3vda14d-iso-codes-4.5.0.drv
x86_64-linuxi686-w64-mingw32/gnu/store/r9g196dxyd0bzrkw30rrj7mskg7inzgl-iso-codes-4.5.0.drv
x86_64-linuxi586-pc-gnu/gnu/store/fsq7j78845j8v2dgj1mn9bhfpad850fr-iso-codes-4.5.0.drv
x86_64-linuxarm-linux-gnueabihf/gnu/store/3wmxaj46mfrw83aq1a10cmf7cbsjkj5c-iso-codes-4.5.0.drv
x86_64-linuxaarch64-linux-gnu/gnu/store/dr7gn6wg3j8wfb4wr02r1vmw6q0vbr6q-iso-codes-4.5.0.drv
riscv64-linux/gnu/store/yw8r7d5zv8cq1wv6lqiz2makhs815qv3-iso-codes-4.5.0.drv
    powerpc-linux/gnu/store/nq6jsba3d41a2gyy7p5hcnfzbk1pgd7x-iso-codes-4.5.0.drv
      powerpc64le-linux/gnu/store/8dm7b3j919h6sdv93nsgpasdfrpr7k7p-iso-codes-4.5.0.drv
      mips64el-linux/gnu/store/x3akkljph2ajawaz1dcif6m2g49sygj4-iso-codes-4.5.0.drv
        i686-linux/gnu/store/l71v8lhwmrzww1nill0lg69gp9l1fb3c-iso-codes-4.5.0.drv
        i586-gnu/gnu/store/66wx1ywnmyb2d83rg84c69a1frdhcgng-iso-codes-4.5.0.drv
        armhf-linux/gnu/store/zhz9f5bl379cqcpsa9wg09g5ys7ji1lb-iso-codes-4.5.0.drv
        aarch64-linux/gnu/store/z9ad54msq00v7gr779v6yacm2dcm0ic7-iso-codes-4.5.0.drv

        Lint warnings

        LinterMessageLocation
        input-labels

        Identify input labels that do not match package names

        label 'gettext' does not match package name 'gettext-minimal'
        input-labels

        Identify input labels that do not match package names

        label 'python' does not match package name 'python-wrapper'
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7f8ed7409c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7fa7aa068c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7f5755cb9c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7f119da52c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7fb2d2987dc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7f3e6bc77dc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7f62abeb7dc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7fa23c1dddc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7f0f10522dc0> input: ("_" "static")>